package com.ylx.order.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ylx.order.domain.OrderStatusFlow;
import com.ylx.order.mapper.OrderStatusFlowMapper;
import com.ylx.order.service.OrderStatusFlowService;
import org.springframework.stereotype.Service;

/**
 * 类描述：
 *
 * @author Administrator
 * @version 1.0
 * @date 2026/6/3 10:51
 */
@Service("orderStatusFlowService")
public class OrderStatusFlowServiceImpl extends ServiceImpl<OrderStatusFlowMapper, OrderStatusFlow> implements OrderStatusFlowService {

    @Override
    public void recordFlow(Long orderId, Integer status) {
        OrderStatusFlow orderStatusFlow = new OrderStatusFlow();
        orderStatusFlow.setOrderId(orderId);
        orderStatusFlow.setStatus(status);
        this.save(orderStatusFlow);
    }
}